---
lang: en
title: 'API docs: metadata.methodmultidecoratorfactory.mergewithinherited'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.methodmultidecoratorfactory.mergewithinherited.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MethodMultiDecoratorFactory](./metadata.methodmultidecoratorfactory.md) &gt; [mergeWithInherited](./metadata.methodmultidecoratorfactory.mergewithinherited.md)

## MethodMultiDecoratorFactory.mergeWithInherited() method

**Signature:**

```typescript
protected mergeWithInherited(inheritedMetadata: MetadataMap<T[]>, target: Object, methodName?: string): MetadataMap<T[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  inheritedMetadata | [MetadataMap](./metadata.metadatamap.md)<!-- -->&lt;T\[\]&gt; |  |
|  target | Object |  |
|  methodName | string | _(Optional)_ |

**Returns:**

[MetadataMap](./metadata.metadatamap.md)<!-- -->&lt;T\[\]&gt;


